# DE9IM

#### new DE9IM()

Create new instance of DE9IM matrix

Source:
  - data_structures/de9im.js, line 16

### Members

#### B2B

Get Boundary To Boundary intersection

Source:
  - data_structures/de9im.js, line 92

#### B2B

Set Boundary to Boundary intersection

Source:
  - data_structures/de9im.js, line 100

#### B2E

Get Boundary To Exterior intersection

Source:
  - data_structures/de9im.js, line 108

#### B2E

Set Boundary to Exterior intersection

Source:
  - data_structures/de9im.js, line 116

#### B2I

Get Boundary To Interior intersection

Source:
  - data_structures/de9im.js, line 76

#### B2I

Set Boundary to Interior intersection

Source:
  - data_structures/de9im.js, line 84

#### E2B

Get Exterior To Boundary intersection

Source:
  - data_structures/de9im.js, line 140

#### E2B

Set Exterior to Boundary intersection

Source:
  - data_structures/de9im.js, line 148

#### E2E

Get Exterior to Exterior intersection

Source:
  - data_structures/de9im.js, line 156

#### E2E

Set Exterior to Exterior intersection

Source:
  - data_structures/de9im.js, line 164

#### E2I

Get Exterior To Interior intersection

Source:
  - data_structures/de9im.js, line 124

#### E2I

Set Exterior to Interior intersection

Source:
  - data_structures/de9im.js, line 132

#### I2B

Get Interior To Boundary intersection

Source:
  - data_structures/de9im.js, line 44

#### I2B

Set Interior to Boundary intersection

Source:
  - data_structures/de9im.js, line 52

#### I2E

Get Interior To Exterior intersection

Source:
  - data_structures/de9im.js, line 60

#### I2E

Set Interior to Exterior intersection

Source:
  - data_structures/de9im.js, line 68

#### I2I

Get Interior To Interior intersection

Source:
  - data_structures/de9im.js, line 28

#### I2I

Set Interior To Interior intersection

Source:
  - data_structures/de9im.js, line 36

#### m :Array.<Shape>

Array representing 3x3 intersection matrix

Source:
  - data_structures/de9im.js, line 21

##### Type:

- `Array.<Shape>`

### Methods

#### toString() → {string}

Return de9im matrix as string where
- intersection is 'T'
- not intersected is 'F'
- not relevant is '*'
For example, string 'FF**FF****' means 'DISJOINT'

Source:
  - data_structures/de9im.js, line 176

##### Returns:

Type:
  `string`